LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request PUT "$LAGO_URL/api/v1/credit_notes/:lago_credit_note_id" \
--header "Authorization: Bearer $API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"credit_note": {
"refund_status": "refunded",
}
}'
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
from lago_python_client.models import CreditNoteUpdate
credit_note_id = "credit-note-id"
credit_note_update = CreditNoteUpdate(refund_status='pending')
try:
client.credit_notes.update(credit_note_update, credit_note_id)
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new({api_key: '__YOUR_API_KEY__'})
client.credit_note.update(
{ refund_status: 'refunded' },
'__LAGO_CREDIT_NOTE_ID__',
)
await client.creditNotes.updateCreditNote("credit-note-id", {
credit_note: {
refund_status: "pending",
},
});
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
creditNoteUpdateInput := &lago.CreditNoteUpdateInput{
LagoID: "lago-credit-note-id",
RefundStatus: lago.CreditNoteReasonOther,
}
creditNote, err := lagoClient.CreditNote().Update(creditNoteInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// creditNote is *lago.CreditNote
fmt.Println(creditNote)
}
using System.Collections.Generic;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;
namespace Example
{
public class UpdateCreditNoteExample
{
public static void Main()
{
Configuration.Default.BasePath = "https://api.getlago.com/api/v1";
// Configure HTTP bearer authorization: bearerAuth
Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";
var apiInstance = new CreditNotesApi(Configuration.Default);
var id = "12345"; // string | Id of the existing credit note
var creditNoteUpdateInput = new CreditNoteUpdateInput(); // CreditNoteUpdateInput | Update an existing credit note
try
{
// Update an existing credit note
CreditNote result = apiInstance.UpdateCreditNote(id, creditNoteUpdateInput);
Debug.WriteLine(result);
}
catch (ApiException e)
{
Debug.Print("Exception when calling CreditNotesApi.UpdateCreditNote: " + e.Message );
Debug.Print("Status Code: "+ e.ErrorCode);
Debug.Print(e.StackTrace);
}
}
}
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');
// Configure Bearer authorization: bearerAuth
$config = OpenAPI\Client\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');
$apiInstance = new OpenAPI\Client\Api\CreditNotesApi(
// If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
// This is optional, `GuzzleHttp\Client` will be used as default.
new GuzzleHttp\Client(),
$config
);
$id = "12345"; // string | Id of the existing credit note
$credit_note_update_input = new \OpenAPI\Client\Model\CreditNoteUpdateInput(); // \OpenAPI\Client\Model\CreditNoteUpdateInput | Update an existing credit note
try {
$result = $apiInstance->updateCreditNote($id, $credit_note_update_input);
print_r($result);
} catch (Exception $e) {
echo 'Exception when calling CreditNotesApi->updateCreditNote: ', $e->getMessage(), PHP_EOL;
}